#include<iostream>
#include<fstream>
#include<string>

using std::cin;
using std::cout;
using std::endl;
using std::ofstream;
using std::ifstream;
using std::string;


//datatype categories 
// intrinsic - int, float, bool, double, char, long, short, long long, char*
// complex - string, ifstream, ofstream

// object - variable of a complex type
// file handle - an object that references a file

//2 categories of files
// ASCII / Text
// Binary


void main()
{
	//int x = 123;
	//ofstream fout("x.dat");
	//fout << x;
	//fout.close();

	//int y;
	//ifstream fin("x.dat");
	//fin >> y;
	//cout << y << endl;
	//fin.close();

	//int x = 8;
	//ofstream fout("x.dat", std::ios_base::binary);
	//fout.write((char*)&x,4);
	//fout.close();

	//int y;
	//ifstream fin("x.dat", std::ios_base::binary);
	//fin.read((char*)&y, 4);
	//cout << y << endl;
	//fin.close();


	int x[1000];
	for (int i = 0; i < 1000; i++)
	{
		x[i] = i * 5;
	}
	ofstream fout("x.dat", std::ios_base::binary);
	fout.write((char*)x, 4000);
	fout.close();

	int y[1000];
	ifstream fin("x.dat", std::ios_base::binary);
	fin.read((char*)y, 4000);
	for (int i = 0; i < 1000; i++)
	{
		cout << y[i] << endl;
	}

	fin.close();


}
